<?php
			include("corps_html_bis.php");
	
			session_start();
			include('database.php');
			DB_connexion(); 

			$tab_projet= array();
			$ligne_par_page = 8;
			$selection = false;
   	 
			if( !isset($_POST['statut']) && !isset($_GET['position']) )
			{ 
				$statut = "tous";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				//echo "<BR>";
				//echo "par défaut";
				//echo "</BR>";
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}	
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
			}    	
	  	
			if( isset($_GET['page']) ) 	
			{  
				//echo "<BR>";
				//echo "pagination";
				//echo "</BR>";
				$requete = "SELECT * FROM projet";
				$result = mysql_query($requete);
				$nb_enregistrement = mysql_num_rows($result);
				if($nb_enregistrement > $ligne_par_page)
				{  
					$nombre_pages = ceil($nb_enregistrement/$ligne_par_page); 
				}
				if($nb_enregistrement <= $ligne_par_page)
				{ 
					$nombre_pages = 1;
				}
	      
				$pageActuelle = $_GET['page']; 
				//echo "<BR>";
				//echo "---->  " .$pageActuelle;
				//echo "</BR>";
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
			}	 
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] != ""  ) 	
			{  
				$nom_projet = $_GET['mot'];	
				//echo "<BR>";
				//echo "Recherche  " .$nom_projet;
				//echo "</BR>";
				$nombre_pages = 1;
				$pageActuelle=1; 
				$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
				$selection = true;
			}
	  
	  
			if( isset($_GET['nom_projet'] )  && $_GET['mot'] == ""  ) 	
			{	 
				if( $_GET['nom_projet'] == "--[ Tous ]--")
				{ 
					$nom_projet = $_GET['nom_projet'];
				}	
	    		else
				{
					$nom_projet = $_GET['nom_projet'];
					$nombre_pages = 1;
					$pageActuelle=1; 
					$premiereEntree=($pageActuelle-1)*$ligne_par_page; 
					$selection = true;
				} 
	     
				//echo "<BR>";
				//echo "Selection  " .$nom_projet;
				//echo "</BR>";
			}
	
?>	

<script>

function selection_bloc()
{
	
}

</script>

<style>
textarea {
   resize: none;
}
</style>

<body>

	<div class="layout">

<?php
	include("header.php");
?>	
		
<!-- Main -->
		<div class="main">
			<div class="container">
				<div class="row">
				
				<div class="col-md-8">
						<!-- Content -->
						<div class="content">
							<div class="page-header">
								<!--<h3>Interface du gestionnaire de projets</h3> -->
								<h2><i class="icon-bullhorn"></i> <span>Liste des projets</span></h2>
							</div>
								
							<!-- Single Page -->
							<div class="page">
								
							<div class="examples">
							
							<!------>
							
							<form action="" method="GET" name="form_lister_projet">  &nbsp;&nbsp;&nbsp;
							Choix :
			
<?php				
							echo " <select name='nom_projet' size='1' onChange='submit()' id=''>  ";
  		  	
							if($nom_projet != "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>$nom_projet</option> ";
								echo "<option value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}
							
							if($nom_projet == "")
							{
								echo "<option selected='selected' value='--[ Tous ]--'>--[ Tous ]--</option> ";
							}
								
							$sql = "SELECT * FROM projet"; 
							$req = mysql_query($sql); 
  
							while($resultat = mysql_fetch_row($req))
							{  
								$tab_projet[]= $resultat[1];
								echo '<option value="'.$resultat[1].'">'.$resultat[1]; 
								echo '</option>'; 
							} 
				   
							echo '</select>'; 
					  
							echo " <input type='text' name='mot'  value='' size='15'> ";
?>		    
							<input type="submit" value="Rechercher" alt="Lancer la recherche!">
							
							</form>

							<div id="list">
							<table align="left" bgcolor="#d5d5d5" border="0" cellpadding="5" cellspacing="1" width="100%">
							<tbody><tr bgcolor="#f1f3f5">
							<th class="center" width="1%">Status</th>
							<th align="left" width="15%">Nom</th>
							<th align="left" width="*%">Famille</th>
							<th align="left" width="*%">Owner</th>
							<th align="left" width="*%">Date</th>
							<th align="left" width="*%">Heure</th>
							<th align="left" width="*%">Planning</th>
							<th class="center" width="1%">Edition</th>
							<th class="center" width="1%">Effacer</th>
							</tr>

<?php

							if($selection == true)
							{
								$requete = "SELECT * FROM projet where nom_projet='$nom_projet'";	
								$retour = mysql_query($requete);
								//echo "<BR>";
								//echo "---->  simple";
								//echo "</BR>";
							}

							if($selection == false)
							{
								$requete="SELECT * FROM projet ORDER BY id DESC LIMIT $premiereEntree, $ligne_par_page ";
								$retour = mysql_query($requete);
								//echo "<BR>";
								//echo "---->  multiple";
								//echo "</BR>";
							}

	
							while($data=mysql_fetch_assoc($retour)) 
							{	
								$id = $data["id"];
								$nom_projet = $data["nom_projet"];
								$famille = $data["famille"];
								$date = $data["date"]; 
								$date_creation = $date;
								$heure=$data["heure"];
								$status=$data["status"];
								$owner=$data["owner"];

								echo " 

								<tr class=\"row2\" onmouseover=\"this.className='highlight'\" onmouseout=\"this.className='row2'\">
								
								<td class='center' nowrap='nowrap'>$status</td>
								
								<td class='center' nowrap='nowrap'>
								<a href='edition_projet.php?nom_projet=$nom_projet'>$nom_projet</a>
								</td>
								
								</td>
								
								<td class='center'>$famille</td>
								<td class='center'>$owner</td>
								<td class='center'>$date_creation</td>
								<td class='center'>$heure</td>
								
								<td class='center\" width='1%'>
								<a href='essai08.php?id=$id'>
								<img src='images/nb_article.png' alt='Plannifier' title='Plannifier'></a>
								</td>
								
								<td class='center' width='1%'>
								<a href='edition_projet.php?id=$id'>
								<img src='images/update.png' alt='Modifier' title='Modifier'></a>
								</td>
											
								<td class='center' width='1%'>
								<a href='supprimer_projet.php?nom_projet=$nom_projet'>
								<img src='images/delete.png' alt='Supprimer' title='Supprimer'></a>
								</td> ";
							}				

								echo "	<tr bgcolor=\"#f1f3f5\">
										<td colspan=\"16\" class=\"center\">&nbsp;</td>
										</tr>
									
										</tbody>
										</table>
							</div>  ";
								
								echo '<p align="center">Page : '; 
								
								for($i=1; $i<=$nombre_pages; $i++) 
								{    		      		
										if($i==$pageActuelle) //Si il s'agit de la page actuelle...
										{
											echo ' [ '.$i.' ] '; 
										}	
										else 
										{
											echo ' <a href="liste_projet.php?position='.$statut.'&page='.$i.'">'.$i.'</a> ';
										}
								}
								echo '</p>';
	        
?>
						
							<!------->
							
							</div>	
								
							<div class="clear"></div>

							<div class="clear"></div>
							</div>
							<!-- End Single Page -->
						</div>
						<!-- End Content -->
				</div>
					
				</div>
			</div>
		</div>
<!-- End Main -->
		
<?php
	include("footer.php");
?>		

	</div>

</body>
</html>
